function [test_5_pc Z] = Geweke_test(y)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Function that carries out the Geweke's test.
%%%%%%%%%%
%%%% Input : y : sample of a parameter.
%%%% Outputs : 
%%%% test_5_pc : Boolean variable =1 if H0 is rejected at 95%, otherwise =
%%%% 0;
%%%% Z 
%%%%%%%%%%


N = max(size(y));
dim = min(size(y));
if(N~=size(y,1))
    y = y';
end
subsample =  [round(0.2*N) round(0.5*N)]';

test_5_pc = zeros(dim,1);
Z = zeros(dim,1);
for q=1:dim
    mean_y = [mean(y(1:subsample(1),q)) mean(y(subsample(2):end,q))];
    var_y = [var(y(1:subsample(1),q)) var(y(subsample(2):end,q))]./[subsample(1) N-subsample(2)+1];
    
    Z(q) = diff(mean_y)/(sqrt(sum(var_y)));
    test_5_pc(q) = 0;
    if(normcdf(abs(Z(q)))>0.975)
        test_5_pc(q) = 1;
    end
end
    
    