function [Simu] = generation_AR_process(taille,AR_lags)
if(nargin<2)
    AR_lags =1;
elseif(AR_lags>6)
    AR_lags = 6;
end

theta_DGP = [0.4 0.7 -0.2 0.1 -0.4 0.3 -0.1]';
theta = theta_DGP(1:AR_lags+1);
sigma_sq = 2;

y = zeros(taille,1);
X = zeros(taille,AR_lags+1);
X(:,1) = ones(taille,1);

y(1) = theta(1)/(1-sum(theta(2:end))) + sqrt(sigma_sq)*randn();

for t=2:taille
    for q=1:AR_lags
        if((t-q)>0)
            X(t,1+q) = y(t-q);
        end
    end
    y(t) = theta'*X(t,:)' + randn()*sqrt(sigma_sq);
end

Simu.y = y;
Simu.theta = theta;
Simu.sigma_sq = sigma_sq;
Simu.taille = taille;
Simu.X = X;

    